com.android.agf.adapters

## Class MyPagerAdapter

- java.lang.Object
- - android.support.v4.view.PagerAdapter
  - - android.support.v4.app.FragmentPagerAdapter
    - - com.android.agf.adapters.MyPagerAdapter

-     public class MyPagerAdapter
      extends FragmentPagerAdapter

  FragmentPagerAdapter per poder utilitzar els SherlockFragment
  Author:
    albert

- - ### Field Summary

    - ### Fields inherited from class android.support.v4.view.PagerAdapter

      `POSITION_NONE, POSITION_UNCHANGED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MyPagerAdapter(FragmentManager fm, List<com.actionbarsherlock.app.SherlockFragment> fragments)` constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()`
    `Fragment` | `getItem(int arg0)`
    `int` | `getItemPosition(Object object)`

    - ### Methods inherited from class android.support.v4.app.FragmentPagerAdapter

      `destroyItem, finishUpdate, getItemId, instantiateItem, isViewFromObject, restoreState, saveState, setPrimaryItem, startUpdate`

    - ### Methods inherited from class android.support.v4.view.PagerAdapter

      `destroyItem, finishUpdate, getPageTitle, getPageWidth, instantiateItem, notifyDataSetChanged, setPrimaryItem, startUpdate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MyPagerAdapter

          public MyPagerAdapter(FragmentManager fm,
                        List<com.actionbarsherlock.app.SherlockFragment> fragments)

      constructor
      Parameters:
        `fm` -
        `fragments` -

  - ### Method Detail

    - #### getItem

          public Fragment getItem(int arg0)

      Specified by:
        `getItem` in class `FragmentPagerAdapter`

    - #### getCount

          public int getCount()

      Specified by:
        `getCount` in class `PagerAdapter`

    - #### getItemPosition

          public int getItemPosition(Object object)

      Overrides:
        `getItemPosition` in class `PagerAdapter`